import 'package:get/get.dart';
import 'package:wowit/common.dart';

abstract class BaseController extends GetxController {
  Rx<Map<String, List<Map<String, Object>>>> rxData = new
      Rx<Map<String, List<Map<String, Object>>>>(null);
  Map<String, List<Map<String, Object>>> _data = {};

   bool isComponent = true; //default component ui
   bool isOnline = true;

  Future<Map<String, List<Map<String, Object>>>> loadData();

  Future<Map<String, List<Map<String, Object>>>> getDataAsync() async {
    return getData();
  }
  @override
  void onInit() {
    if(Common.supperAdmin && !isComponent)
      Common.messageIdBackUp = {};

    super.onInit();
  }

  void onInitGetX(){

  }

  Map<String, List<Map<String, Object>>> getData() {
    if (_data == null) _data = {};
    return _data;
  }

  void setData(Map<String, List<Map<String, Object>>> data) {
    if(data == null)
      {
        _data = {};//empty list
      }
    else{
      _data = data;
    }
  }

  void clearData() {
    if (_data != null) {
      _data.clear();
      _data = null;
    }
    if (rxData != null) {
      if (rxData.value != null) {
        rxData.value.clear();
      }
      rxData.value = null;
    }
  }
  setIsOnline(bool _isOnline) {
    if(_isOnline != this.isOnline){
      this.isOnline = _isOnline;
      update();
    }
  }
}
