
import 'dart:io';

import 'package:heic_to_jpg/heic_to_jpg.dart';
import 'package:multi_image_picker/multi_image_picker.dart';
import 'package:path_provider/path_provider.dart';


class FlutterAbsolutePath {
  static Future<File> getAbsolutePath(Asset asset)
  async {
    try{
      final byteData = await asset.getByteData();

      final tempFile =
      File("${(await getTemporaryDirectory()).path}/${asset.name}");
      var file = await tempFile.writeAsBytes(
        byteData.buffer
            .asUint8List(byteData.offsetInBytes, byteData.lengthInBytes),
      );
      if (file.path.endsWith('.HEIC')) {
        print('convert to jpeg');
        String jpegPath = await HeicToJpg.convert(file.path);
        file = File(jpegPath);
      }
      return file;
    }
    catch(e){
      return null;
    }
  }
}