part of edit_screen;

class ConfirmBottomSheet extends StatelessWidget {
  final EditorController editorController; 
  ConfirmBottomSheet(this.editorController);

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 120,
      width: MediaQuery.of(context).size.width - 40,
      decoration: BoxDecoration(
          borderRadius: BorderRadius.only(
              topLeft: Radius.circular(15), topRight: Radius.circular(15)),
          border: Border.all(
            color: Common.colorAppbar??Color(0xff2a367e),
          )),
      child: Padding(
        padding: const EdgeInsets.all(20),
        child: Column(
          children: <Widget>[
            Container(
              child: Text(
                Message.getMessage('EditorWidget_xac_nhan_luu_thong_tin'),
                style:
                    TextStyle(color: Common.colorAppbar??Color(0xff2a367e), fontSize: 20),
                overflow: TextOverflow.ellipsis,
              ),
            ),
            SizedBox(height: 20),
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceAround,
              children: [
                ConfirmOutlinedButton(
                  onPressed: () {
                    editorController._isConfirm.value = false;
                    Get.back();
                  },
                  icon: Icon(
                    Icons.close_outlined,
                    color: Colors.orange,
                  ),
                ),
                ConfirmOutlinedButton(
                  onPressed: () async {
                    editorController._isConfirm.value = false;
                    Get.back(); 
                    editorController.save(); 
                  },
                  icon: Icon(
                    Icons.done_outlined,
                    color: Colors.green,
                  ),
                ),
              ],
            )
          ],
        ),
      ),
    );
  }
}

class ConfirmOutlinedButton extends StatelessWidget {
  final VoidCallback onPressed;
  final Icon icon;
  const ConfirmOutlinedButton({
    Key key,
    @required this.onPressed,
    this.icon,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      constraints: BoxConstraints.tightFor(height: 32, width: 80),
      child: OutlinedButton(
        onPressed: onPressed,
        child: icon,
        style: OutlinedButton.styleFrom(
          shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(10.0),
          ),
          side: BorderSide(
            width: 1,
            color:Common.colorAppbar??Color(0xff2a367e),
          ),
        ),
      ),
    );
  }
}
