import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:wowit/Widget/editor_widget/view/rounded_button.dart';
import 'package:wowit/message.dart';

class InvalidDataDialog extends StatelessWidget {
  final String title;
  const InvalidDataDialog({Key key, this.title}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Dialog(
      shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(10)),
      child: Container(
        height: 150,
        width: MediaQuery.of(context).size.width - 60,
        child: Padding(
          padding: EdgeInsets.only(top: 20, bottom: 20, left: 10, right: 10),
          child: Column(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              Text(
                title ?? Message.getMessage('YeuCauBDS_nhap_day_du'),
                style: TextStyle(fontSize: 16, fontWeight: FontWeight.bold),
                textAlign: TextAlign.center,
              ),
              RoundedButton(
                onPressed: () => Get.back(),
                text: Message.getMessage('YeuCauBDS_dong'),
                width: 100,
              ),
            ],
          ),
        ),
      ),
    );
  }
}
