
import 'package:wowit/common.dart';
import 'package:wowit/methods.dart';
import 'package:wowit/sqlService.dart';

Map<String,String> mapImageURL ={};

class ImageByID{

  static String _prefsImage = 'prefImage';

  static String getUrlImage(int id){
    String idImage = id.toString();
    if(mapImageURL.containsKey(idImage)){
      return Methods.getString(mapImageURL, idImage);
    }else{
      return 'images/Upload/tblHinhAnh/2201/emptyFolder.png';
    }
  }

  static Future<void> dsHinhAnh(dynamic prefs,{bool reload = false}) async{
    List<String> listLanguage = [];
    final pattern =
        "[(=-|";
    Map<String, String> valueImage = Map();
    if(prefs.getStringList(_prefsImage) == null || reload){
      var data = await SQLService.execute('sp_getImage',);
      for (var item in Methods.getList(data, 'dsHinhAnh')) {
        listLanguage.add(Methods.getInt(item, 'ID').toString() +
            pattern +
            Methods.getString(item, 'hinhAnh_image_path'));
      }
      if (Common.uid > 0) {
            SQLService.execute('sp_setHasMapImage',
                params: {'@uid': Common.uid});
          }
      if (prefs.getStringList(_prefsImage) != null) {
        prefs.remove(_prefsImage);
      }
      prefs.setStringList(_prefsImage, listLanguage);
    }
    for (var itemlist in prefs.getStringList(_prefsImage)) {
      var convert = itemlist.split(pattern);
      if (convert != null && convert.length > 1) {
        String imageID = convert[0].toString().toUpperCase();
        if(!valueImage.containsKey(imageID))
        {
          valueImage[imageID] = convert[1];
        }
      }
    }
    mapImageURL = valueImage;
  }
}